<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<window>
    <id>5001</id>
    <defaultcontrol>3</defaultcontrol>
    <allowoverlay>yes</allowoverlay>
    <define>#header.label:#MyAlarm.Translation.Alarm.Label</define>
    <define>#header.image:sleepcontrol_logo.png</define>
    <define>#header.hover:-</define>
    <controls>
        <import>common.backgroundcolour.xml</import>
        <control>
            <id>1</id>
            <description>LayerTop</description>
            <type>image</type>
            <posX>0</posX>
            <posY>-50</posY>
            <width>1280</width>
            <height>225</height>
            <texture>Layer_top.png</texture>
            <animation effect="Slide" end="0,0" reversible="FALSE" start="0,50" time="400">Visible</animation>
        </control>
        <control>
            <id>1</id>
            <description>LayerBottom</description>
            <type>image</type>
            <posX>0</posX>
            <posY>495</posY>
            <width>1280</width>
            <height>275</height>
            <texture>Layer_bottom.png</texture>
            <animation effect="Slide" end="0,0" reversible="FALSE" start="0,-50" time="400">Visible</animation>
        </control>
        <control>
            <id>1</id>
            <description>Header Image</description>
            <type>image</type>
            <posX>601</posX>
            <posY>590</posY>
            <texture>#header.image</texture>
            <animation effect="Fade" time="250">WindowOpen</animation>
            <animation effect="Fade" time="250">WindowClose</animation>
            <animation effect="Zoom" end="100,100" start="20,20" time="600" tween="Elastic">WindowOpen</animation>
        </control>
        <import>common.time.xml</import>
        <control>
            <id>0</id>
            <type>image</type>
            <colordiffuse>60ffffff</colordiffuse>
            <width>1280</width>
            <height>720</height>
            <texture>black.png</texture>
        </control>
        <control>
            <id>0</id>
            <type>image</type>
            <posX>240</posX>
            <posY>80</posY>
            <width>800</width>
            <height>536</height>
            <texture>context_background.png</texture>
            <animation effect="Fade" time="250">WindowOpen</animation>
            <animation effect="Fade" time="250">WindowClose</animation>
        </control>
        <control>
            <id>61</id>
            <description>CurrentAlarm.Enabled</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.Enabled,True)</visible>
            <label> </label>
        </control>
        <control>
            <id>62</id>
            <description>CurrentAlarm.Recurring</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.Recurring,True)</visible>
            <label> </label>
        </control>
        <control>
            <id>63</id>
            <description>CurrentAlarm.Selected</description>
            <type>label</type>
            <visible>!String.Contains(#MyAlarm.SelectedAlarm.Time.shorttime,MyAlarm.SelectedAlarm.Time.shorttime)+!String.Equals(#MyAlarm.SelectedAlarm.Time.shorttime,)+!String.Equals(#MyAlarm.SelectedAlarm.Time.shorttime, )+!String.Equals(#MyAlarm.SelectedAlarm.Time.shorttime,  )</visible>
            <label> </label>
        </control>
        <control>
            <id>64</id>
            <description>CurrentAlarm.Snoozed</description>
            <type>label</type>
            <visible>!String.Contains(#MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime,MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime)+!String.Equals(#MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime,)+!String.Equals(#MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime, )+!String.Equals(#MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime,  )</visible>
            <label> </label>
        </control>
        <control>
            <id>3</id>
            <description>Rename Button</description>
            <type>button</type>
            <onleft>3</onleft>
            <onright>31</onright>
            <onup>3</onup>
            <ondown>21</ondown>
            <posX>310</posX>
            <posY>135</posY>
            <width>273</width>
            <font>font13</font>
            <label>#MyAlarm.SelectedAlarm.Name</label>
            <textalign>LEFT</textalign>
            <textXOff>1</textXOff>
            <textYOff>8</textYOff>
        </control>
        <control>
            <id>21</id>
            <description>enable / disabled alarm</description>
            <type>checkmark</type>
            <onleft>21</onleft>
            <onright>33</onright>
            <onup>3</onup>
            <ondown>22</ondown>
            <posX>310</posX>
            <posY>190</posY>
            <label>852</label>
        </control>
        <control>
            <id>22</id>
            <description>once / recurring alarm</description>
            <type>checkmark</type>
            <onleft>22</onleft>
            <onup>21</onup>
            <ondown>24</ondown>
            <posX>310</posX>
            <posY>235</posY>
            <label>870</label>
        </control>
        <control>
            <id>24</id>
            <description>fade in volume</description>
            <type>checkmark</type>
            <onleft>24</onleft>
            <onup>22</onup>
            <ondown>23</ondown>
            <posX>310</posX>
            <posY>280</posY>
            <label>860</label>
        </control>
        <control>
            <id>23</id>
            <description>wake up pc</description>
            <type>checkmark</type>
            <onleft>23</onleft>
            <onup>24</onup>
            <ondown>25</ondown>
            <posX>310</posX>
            <posY>325</posY>
            <label>871</label>
        </control>
        <control>
            <id>25</id>
            <description>Media Type</description>
            <type>button</type>
            <onleft>25</onleft>
            <onright>25</onright>
            <onup>23</onup>
            <ondown>5</ondown>
            <posX>310</posX>
            <posY>374</posY>
            <width>200</width>
            <font>font13</font>
            <label>#MyAlarm.SelectedAlarm.MediaType.localized</label>
            <textalign>LEFT</textalign>
            <textXOff>1</textXOff>
            <textYOff>8</textYOff>
        </control>
        <control>
            <id>0</id>
            <description>Media Type</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.MediaType.id,File)</visible>
            <posX>683</posX>
            <posY>378</posY>
            <label>#MyAlarm.SelectedAlarm.Sound</label>
        </control>
        <control>
            <id>0</id>
            <description>Media Type</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.MediaType.id,Playlist)</visible>
            <posX>687</posX>
            <posY>377</posY>
            <label>#MyAlarm.SelectedAlarm.Playlist</label>
        </control>
        <control>
            <id>0</id>
            <description>Media Type</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.MediaType.id,Message)</visible>
            <posX>683</posX>
            <posY>376</posY>
            <label>#MyAlarm.SelectedAlarm.Message</label>
        </control>
        <control>
            <description>Time</description>
            <type>label</type>
            <visible>!Control.IsVisible(62)</visible>
            <posX>668</posX>
            <posY>143</posY>
            <textcolor>60ffffff</textcolor>
            <align>LEFT</align>
            <label>#MyAlarm.Translation.AlarmTime.Label</label>
        </control>
        <control>
            <id>31</id>
            <description>alarm time hours</description>
            <type>spincontrol</type>
            <onleft>3</onleft>
            <onright>32</onright>
            <onup>31</onup>
            <ondown>33</ondown>
            <posX>863</posX>
            <posY>147</posY>
            <digits>2</digits>
            <spintype>INT</spintype>
            <orientation>VERTICAL</orientation>
            <showrange>NO</showrange>
            <textureDownFocus>arrow_round_down_focus.png</textureDownFocus>
            <textureDown>arrow_round_down_nofocus.png</textureDown>
            <textureUpFocus>arrow_round_up_focus.png</textureUpFocus>
            <textureUp>arrow_round_up_nofocus.png</textureUp>
        </control>
        <control>
            <id>32</id>
            <description>alarm time minutes</description>
            <type>spincontrol</type>
            <onleft>31</onleft>
            <onright>32</onright>
            <onup>32</onup>
            <ondown>33</ondown>
            <posX>923</posX>
            <posY>147</posY>
            <digits>2</digits>
            <spintype>INT</spintype>
            <orientation>VERTICAL</orientation>
            <showrange>NO</showrange>
            <align>LEFT</align>
            <textureDownFocus>arrow_round_down_focus.png</textureDownFocus>
            <textureDown>arrow_round_down_nofocus.png</textureDown>
            <textureUpFocus>arrow_round_up_focus.png</textureUpFocus>
            <textureUp>arrow_round_up_nofocus.png</textureUp>
        </control>
        <control>
            <description>Date</description>
            <type>label</type>
            <visible>!Control.IsVisible(62)</visible>
            <posX>771</posX>
            <posY>189</posY>
            <textcolor>60ffffff</textcolor>
            <align>RIGHT</align>
            <label>#MyAlarm.Translation.AlarmDate.Label</label>
        </control>
        <control>
            <id>33</id>
            <description>DD</description>
            <type>spincontrol</type>
            <onleft>21</onleft>
            <onright>34</onright>
            <onup>31</onup>
            <ondown>22</ondown>
            <visible>!Control.IsVisible(62)</visible>
            <posX>785</posX>
            <posY>193</posY>
            <digits>2</digits>
            <spintype>INT</spintype>
            <orientation>VERTICAL</orientation>
            <showrange>NO</showrange>
            <textureDownFocus>arrow_round_down_focus.png</textureDownFocus>
            <textureDown>arrow_round_down_nofocus.png</textureDown>
            <textureUpFocus>arrow_round_up_focus.png</textureUpFocus>
            <textureUp>arrow_round_up_nofocus.png</textureUp>
        </control>
        <control>
            <id>34</id>
            <description>MM</description>
            <type>spincontrol</type>
            <onleft>33</onleft>
            <onright>35</onright>
            <onup>31</onup>
            <ondown>22</ondown>
            <visible>!Control.IsVisible(62)</visible>
            <posX>843</posX>
            <posY>193</posY>
            <digits>2</digits>
            <spintype>INT</spintype>
            <orientation>VERTICAL</orientation>
            <showrange>NO</showrange>
            <textureDownFocus>arrow_round_down_focus.png</textureDownFocus>
            <textureDown>arrow_round_down_nofocus.png</textureDown>
            <textureUpFocus>arrow_round_up_focus.png</textureUpFocus>
            <textureUp>arrow_round_up_nofocus.png</textureUp>
        </control>
        <control>
            <id>35</id>
            <description>YYYY</description>
            <type>spincontrol</type>
            <onleft>34</onleft>
            <onright>35</onright>
            <onup>31</onup>
            <ondown>22</ondown>
            <visible>!Control.IsVisible(62)</visible>
            <posX>902</posX>
            <posY>193</posY>
            <digits>4</digits>
            <spintype>INT</spintype>
            <orientation>VERTICAL</orientation>
            <showrange>NO</showrange>
            <textureDownFocus>arrow_round_down_focus.png</textureDownFocus>
            <textureDown>arrow_round_down_nofocus.png</textureDown>
            <textureUpFocus>arrow_round_up_focus.png</textureUpFocus>
            <textureUp>arrow_round_up_nofocus.png</textureUp>
        </control>
        <control>
            <description>Enabled Days</description>
            <type>label</type>
            <visible>Control.IsVisible(62)</visible>
            <posX>975</posX>
            <posY>190</posY>
            <textcolor>60ffffff</textcolor>
            <align>RIGHT</align>
            <label>#MyAlarm.Translation.EnabledOnTheseDays.Label</label>
        </control>
        <control>
            <id>10</id>
            <description>Monday checkbox</description>
            <type>checkmark</type>
            <onleft>3</onleft>
            <onright>11</onright>
            <onup>31</onup>
            <ondown>21</ondown>
            <visible>Control.IsVisible(62)</visible>
            <posX>535</posX>
            <posY>235</posY>
            <width>55</width>
            <height>21</height>
            <label>657</label>
        </control>
        <control>
            <id>11</id>
            <description>Tuesday checkbox</description>
            <type>checkmark</type>
            <onleft>10</onleft>
            <onright>12</onright>
            <onup>21</onup>
            <ondown>24</ondown>
            <visible>Control.IsVisible(62)</visible>
            <posX>604</posX>
            <posY>235</posY>
            <width>51</width>
            <height>21</height>
            <label>658</label>
        </control>
        <control>
            <id>12</id>
            <description>Wednesday checkbox</description>
            <type>checkmark</type>
            <onleft>11</onleft>
            <onright>13</onright>
            <onup>21</onup>
            <ondown>24</ondown>
            <visible>Control.IsVisible(62)</visible>
            <posX>668</posX>
            <posY>235</posY>
            <width>58</width>
            <height>21</height>
            <label>659</label>
        </control>
        <control>
            <id>13</id>
            <description>Thursday checkbox</description>
            <type>checkmark</type>
            <onleft>12</onleft>
            <onright>14</onright>
            <onup>21</onup>
            <ondown>24</ondown>
            <visible>Control.IsVisible(62)</visible>
            <posX>740</posX>
            <posY>235</posY>
            <width>50</width>
            <height>21</height>
            <label>660</label>
        </control>
        <control>
            <id>14</id>
            <description>Friday checkbox</description>
            <type>checkmark</type>
            <onleft>13</onleft>
            <onright>15</onright>
            <onup>21</onup>
            <ondown>24</ondown>
            <visible>Control.IsVisible(62)</visible>
            <posX>805</posX>
            <posY>235</posY>
            <width>44</width>
            <height>21</height>
            <label>661</label>
        </control>
        <control>
            <id>15</id>
            <description>Saturday checkbox</description>
            <type>checkmark</type>
            <onleft>14</onleft>
            <onright>16</onright>
            <onup>21</onup>
            <ondown>24</ondown>
            <visible>Control.IsVisible(62)</visible>
            <posX>865</posX>
            <posY>235</posY>
            <width>49</width>
            <height>21</height>
            <label>662</label>
        </control>
        <control>
            <id>16</id>
            <description>Sunday checkbox</description>
            <type>checkmark</type>
            <onleft>15</onleft>
            <onright>16</onright>
            <onup>21</onup>
            <ondown>24</ondown>
            <visible>Control.IsVisible(62)</visible>
            <posX>928</posX>
            <posY>235</posY>
            <width>52</width>
            <height>21</height>
            <label>663</label>
        </control>
        <control>
            <id>5</id>
            <description>Save Button</description>
            <type>button</type>
            <onleft>4</onleft>
            <onright>6</onright>
            <onup>25</onup>
            <ondown>5</ondown>
            <posX>310</posX>
            <posY>480</posY>
            <width>200</width>
            <label>#MyAlarm.Translation.SaveAlarm.Label</label>
        </control>
        <control>
            <id>6</id>
            <description>Cancel Button</description>
            <type>button</type>
            <onleft>5</onleft>
            <onright>4</onright>
            <onup>25</onup>
            <ondown>6</ondown>
            <posX>540</posX>
            <posY>480</posY>
            <width>200</width>
            <label>#MyAlarm.Translation.CancelAlarm.Label</label>
        </control>
        <control>
            <id>4</id>
            <description>Delete Button</description>
            <type>button</type>
            <onleft>6</onleft>
            <onright>5</onright>
            <onup>25</onup>
            <ondown>4</ondown>
            <posX>770</posX>
            <posY>480</posY>
            <width>200</width>
            <label>#MyAlarm.Translation.DeleteAlarm.Label</label>
        </control>
    </controls>
</window>
